#!/bin/bash

package=atlas
version=-3.10.1

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*

prefix=$GEXTHUGIN_INSTALLED

opt_run_untar $force_untar $auto_untar $package $version

if [ $auto_config == "1" ] ; then
	(
	cd $package$version;
	PWD_PATH=`pwd`
	    if [ ! -d release ] ; then \
	      echo "Creating 'release' directory" ; \
	      mkdir release ; \
	    fi ; \
	    cd release;
		$PWD_PATH/configure --prefix=$prefix;
	   	make;
		make check;
		make ptcheck;
		make time;
		make install;
	cd ../..;
	)
fi
#opt_run_configure $force_config $auto_config $package $version $prefix

#opt_run_make $compile $package $version
#opt_run_make $install $package $version "install"
#opt_run_make $clean $package $version "clean"
#opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version

