#!/bin/bash

package=wxWidgets
version=-2.9.4

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXT_HUGIN ../.. $*

prefix=$GEXTHUGIN_INSTALLED

opt_run_untar $force_untar $auto_untar $package $version .tar.bz2
#opt_run_configure $force_config $auto_config $package $version $prefix

if [ $auto_config = "1" ] ; then
	cd $package$version;
	./configure --prefix=$prefix --with-opengl
	cd ..;
fi

opt_run_make $compile $package $version
opt_run_make $install $package $version "install"
opt_run_make $clean $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version

